---

 arch/i386/Kconfig                    |    0 
 arch/i386/boot/setup.S               |    0 
 arch/i386/kernel/Makefile            |    0 
 arch/i386/kernel/acpi/boot.c         |    0 
 arch/i386/kernel/asm-offsets.c       |    0 
 arch/i386/kernel/cpu/common.c        |    0 
 arch/i386/kernel/cpu/intel.c         |    0 
 arch/i386/kernel/doublefault.c       |    0 
 arch/i386/kernel/entry.S             |   10 +++++-----
 arch/i386/kernel/entry_trampoline.c  |    2 +-
 arch/i386/kernel/head.S              |    0 
 arch/i386/kernel/i386_ksyms.c        |    0 
 arch/i386/kernel/i387.c              |    0 
 arch/i386/kernel/init_task.c         |    0 
 arch/i386/kernel/ldt.c               |    0 
 arch/i386/kernel/mpparse.c           |    0 
 arch/i386/kernel/process.c           |    0 
 arch/i386/kernel/reboot.c            |    0 
 arch/i386/kernel/signal.c            |    0 
 arch/i386/kernel/smp.c               |    0 
 arch/i386/kernel/sysenter.c          |    0 
 arch/i386/kernel/traps.c             |    0 
 arch/i386/kernel/vm86.c              |    0 
 arch/i386/kernel/vmlinux.lds.S       |    0 
 arch/i386/kernel/vsyscall-sysenter.S |    0 
 arch/i386/kernel/vsyscall.lds        |    0 
 arch/i386/lib/checksum.S             |    0 
 arch/i386/lib/getuser.S              |    0 
 arch/i386/lib/usercopy.c             |    0 
 arch/i386/math-emu/fpu_system.h      |    0 
 arch/i386/mm/fault.c                 |    0 
 arch/i386/mm/init.c                  |    0 
 arch/i386/mm/pgtable.c               |    0 
 drivers/block/scsi_ioctl.c           |    0 
 include/asm-i386/atomic_kmap.h       |    0 
 include/asm-i386/checksum.h          |    0 
 include/asm-i386/desc.h              |    0 
 include/asm-i386/fixmap.h            |    0 
 include/asm-i386/highmem.h           |    0 
 include/asm-i386/kmap_types.h        |    0 
 include/asm-i386/mmu.h               |    0 
 include/asm-i386/mmu_context.h       |    0 
 include/asm-i386/page.h              |    0 
 include/asm-i386/pgtable.h           |    0 
 include/asm-i386/processor.h         |    0 
 include/asm-i386/string.h            |    0 
 include/asm-i386/thread_info.h       |    0 
 include/asm-i386/tlbflush.h          |    0 
 include/asm-i386/uaccess.h           |    0 
 mm/Makefile                          |    0 
 mm/memory.c                          |    0 
 mm/slab.c                            |    0 
 mm/usercopy.c                        |    0 
 53 files changed, 6 insertions(+), 6 deletions(-)

diff -puN arch/i386/boot/setup.S~x arch/i386/boot/setup.S
diff -puN arch/i386/Kconfig~x arch/i386/Kconfig
diff -puN arch/i386/kernel/asm-offsets.c~x arch/i386/kernel/asm-offsets.c
diff -puN arch/i386/kernel/cpu/common.c~x arch/i386/kernel/cpu/common.c
diff -puN arch/i386/kernel/cpu/intel.c~x arch/i386/kernel/cpu/intel.c
diff -puN arch/i386/kernel/doublefault.c~x arch/i386/kernel/doublefault.c
diff -puN arch/i386/kernel/entry.S~x arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~x	2004-02-21 02:54:36.000000000 -0800
+++ 25-akpm/arch/i386/kernel/entry.S	2004-02-21 02:54:55.000000000 -0800
@@ -113,7 +113,7 @@ TSS_ESP0_OFFSET = (4 - 0x200)
  */
 #define repeat_if_esp_changed				\
 	xorl %esp, %ebp;				\
-	testl $0xffffe000, %ebp;			\
+	testl $-THREAD_SIZE, %ebp;			\
 	jnz 0b
 #else
 #define repeat_if_esp_changed
@@ -136,8 +136,8 @@ TSS_ESP0_OFFSET = (4 - 0x200)
 0:							\
 	movl %esp, %ebp;				\
 	movl %esp, %ebx;				\
-	andl $0xffffe000, %ebp;				\
-	andl $0x00001fff, %ebx;				\
+	andl $(-THREAD_SIZE), %ebp;				\
+	andl $(THREAD_SIZE-1), %ebx;				\
 	orl TI_real_stack(%ebp), %ebx;			\
 	repeat_if_esp_changed;				\
 							\
@@ -179,7 +179,7 @@ TSS_ESP0_OFFSET = (4 - 0x200)
 	movl TI_user_pgd(%ebp), %ecx;			\
 							\
 	movl %esp, %ebx;				\
-	andl $0x1fff, %ebx;				\
+	andl $(THREAD_SIZE-1), %ebx;				\
 	orl %ebx, %edx;					\
 int80_ret_start_marker:					\
 	movl %edx, %esp; 				\
@@ -384,7 +384,7 @@ sysenter_past_esp:
 	movl TI_virtual_stack(%ebp), %edx
 	movl TI_user_pgd(%ebp), %ecx
 	movl %esp, %ebx
-	andl $0x1fff, %ebx
+	andl $(THREAD_SIZE-1), %ebx
 	orl %ebx, %edx
 sysexit_ret_start_marker:
 	movl %edx, %esp
diff -puN arch/i386/kernel/entry_trampoline.c~x arch/i386/kernel/entry_trampoline.c
--- 25/arch/i386/kernel/entry_trampoline.c~x	2004-02-21 02:54:36.000000000 -0800
+++ 25-akpm/arch/i386/kernel/entry_trampoline.c	2004-02-21 02:54:55.000000000 -0800
@@ -37,7 +37,7 @@ void __init init_entry_mappings(void)
 	/*
 	 * Virtual kernel stack:
 	 */
-	BUG_ON(__kmap_atomic_vaddr(KM_VSTACK0) & 8191);
+	BUG_ON(__kmap_atomic_vaddr(KM_VSTACK0) & (THREAD_SIZE-1));
 	BUG_ON(sizeof(struct desc_struct)*NR_CPUS*GDT_ENTRIES > 2*PAGE_SIZE);
 	BUG_ON((unsigned int)&__entry_tramp_end - (unsigned int)&__entry_tramp_start > 2*PAGE_SIZE);
 
diff -puN arch/i386/kernel/head.S~x arch/i386/kernel/head.S
diff -puN arch/i386/kernel/i386_ksyms.c~x arch/i386/kernel/i386_ksyms.c
diff -puN arch/i386/kernel/i387.c~x arch/i386/kernel/i387.c
diff -puN arch/i386/kernel/init_task.c~x arch/i386/kernel/init_task.c
diff -puN arch/i386/kernel/ldt.c~x arch/i386/kernel/ldt.c
diff -puN arch/i386/kernel/Makefile~x arch/i386/kernel/Makefile
diff -puN arch/i386/kernel/mpparse.c~x arch/i386/kernel/mpparse.c
diff -puN arch/i386/kernel/process.c~x arch/i386/kernel/process.c
diff -puN arch/i386/kernel/reboot.c~x arch/i386/kernel/reboot.c
diff -puN arch/i386/kernel/signal.c~x arch/i386/kernel/signal.c
diff -puN arch/i386/kernel/smp.c~x arch/i386/kernel/smp.c
diff -puN arch/i386/kernel/sysenter.c~x arch/i386/kernel/sysenter.c
diff -puN arch/i386/kernel/traps.c~x arch/i386/kernel/traps.c
diff -puN arch/i386/kernel/vm86.c~x arch/i386/kernel/vm86.c
diff -puN arch/i386/kernel/vmlinux.lds.S~x arch/i386/kernel/vmlinux.lds.S
diff -puN arch/i386/kernel/vsyscall.lds~x arch/i386/kernel/vsyscall.lds
diff -puN arch/i386/kernel/vsyscall-sysenter.S~x arch/i386/kernel/vsyscall-sysenter.S
diff -puN arch/i386/lib/checksum.S~x arch/i386/lib/checksum.S
diff -puN arch/i386/lib/getuser.S~x arch/i386/lib/getuser.S
diff -puN arch/i386/lib/usercopy.c~x arch/i386/lib/usercopy.c
diff -puN arch/i386/math-emu/fpu_system.h~x arch/i386/math-emu/fpu_system.h
diff -puN arch/i386/mm/fault.c~x arch/i386/mm/fault.c
diff -puN arch/i386/mm/init.c~x arch/i386/mm/init.c
diff -puN arch/i386/mm/pgtable.c~x arch/i386/mm/pgtable.c
diff -puN drivers/block/scsi_ioctl.c~x drivers/block/scsi_ioctl.c
diff -puN include/asm-i386/atomic_kmap.h~x include/asm-i386/atomic_kmap.h
diff -puN include/asm-i386/checksum.h~x include/asm-i386/checksum.h
diff -puN include/asm-i386/desc.h~x include/asm-i386/desc.h
diff -puN include/asm-i386/fixmap.h~x include/asm-i386/fixmap.h
diff -puN include/asm-i386/highmem.h~x include/asm-i386/highmem.h
diff -puN include/asm-i386/kmap_types.h~x include/asm-i386/kmap_types.h
diff -puN include/asm-i386/mmu_context.h~x include/asm-i386/mmu_context.h
diff -puN include/asm-i386/mmu.h~x include/asm-i386/mmu.h
diff -puN include/asm-i386/page.h~x include/asm-i386/page.h
diff -puN include/asm-i386/pgtable.h~x include/asm-i386/pgtable.h
diff -puN include/asm-i386/processor.h~x include/asm-i386/processor.h
diff -puN include/asm-i386/string.h~x include/asm-i386/string.h
diff -puN include/asm-i386/thread_info.h~x include/asm-i386/thread_info.h
diff -puN include/asm-i386/tlbflush.h~x include/asm-i386/tlbflush.h
diff -puN include/asm-i386/uaccess.h~x include/asm-i386/uaccess.h
diff -puN mm/Makefile~x mm/Makefile
diff -puN mm/memory.c~x mm/memory.c
diff -puN mm/slab.c~x mm/slab.c
diff -puN mm/usercopy.c~x mm/usercopy.c
diff -puN arch/i386/kernel/acpi/boot.c~x arch/i386/kernel/acpi/boot.c

_
